Announcement

Collapse
No announcement yet.

Voxel Plugin

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Boruki several ppl had issues with missing system dlls. Check https://wiki.voxelplugin.com/index.p...failed_to_load
    Website: https://voxelplugin.com
    Discord: https://discord.voxelplugin.com
    Twitter: https://twitter.com/phyronnaz

    Comment


      Originally posted by Phyronnaz View Post
      Boruki several ppl had issues with missing system dlls. Check https://wiki.voxelplugin.com/index.p...failed_to_load
      Legen.... dary.

      Crazy how it works fine with the earlier versions without that DLL but the new one needs it. Project has started to load now, fingers crossed!

      Thanks again.

      Comment


        Originally posted by Phyronnaz View Post
        Boruki several ppl had issues with missing system dlls. Check https://wiki.voxelplugin.com/index.p...failed_to_load
        So on my main voxel map file I now get a serialization fail and it says the data is corrupt, but it was working fine under the previous version. It's quite a large file, around 90MB as it's got a lot of areas to it. My smaller test maps are, however, all fine. I can't seem to find much of this when I search about and was hoping I've not lost everything :|.

        Comment


          Can you send that file to me so that I can have a look?
          Website: https://voxelplugin.com
          Discord: https://discord.voxelplugin.com
          Twitter: https://twitter.com/phyronnaz

          Comment


            Originally posted by Phyronnaz View Post
            Can you send that file to me so that I can have a look?
            I'll drop you a PM.

            Comment


              Phyronnaz Hello I need advice. I am new to the work with voxel and I did not understand how to add new voxel material. I looked at your wiki and I didn't understand it either, you could explain it to beginners. It would be good if you made a video about adding materials. Thank you so far I have a free version of your plugin.

              Comment


                When I try to create the C++ classes required to generate worlds with the free version, it can't find "MyWorldGenerator.generated.h", and that causes the whole thing to fail. I followed the steps in the wiki (https://wiki.voxelplugin.com/C%2B%2B_World_Generators) up to replacing the .h and .cpp files, and I got my error there.

                Comment


                  AliG Mods Working on improving that!

                  Aleara To be clear, that C++ class is just here as an example of how to do C++ generators. There are several C++ generators included in the plugin already, if you're not familiar with C++ you're probably better off using those. You can change their parameters by create a BP class inheriting from them, changing that class defaults and using that class as generator.
                  See https://youtu.be/SiMjwL0WguE?t=293

                  I've also updated https://wiki.voxelplugin.com/C%2B%2B_World_Generators to show that better, you should check it again
                  Website: https://voxelplugin.com
                  Discord: https://discord.voxelplugin.com
                  Twitter: https://twitter.com/phyronnaz

                  Comment


                    Greetings. After not using Unreal Engine for over a year so as to develop my own Voxel procedural editor based upon on some ideas I had,
                    and concluding my prototype, I decided to once again look to see if anything new has been created on the voxel engine front.
                    I came across this unreal engine voxel plugin yesterday which looks to be promising. Something I can use and thus not pursue creating a
                    terrain generator myself. But as usual with 90% every download of someone else's project, I get the same frustration that I cannot get
                    it to work because of compatibility problems.

                    I downloaded the free version from Github and copied all the files into the plugin directory of a new UE 4.24 project, which was written
                    on github is compatible with. Upon opening the project I get a message indicating that the voxel plugin was created using 4.22, and asking to
                    build the plugin. I skipped the 4.22 and 4.23 releases and thus could not use those versions.Anyway the build failed and I get the message that
                    I should try and perform a manual rebuild.

                    I next proceed into the project without trying to load the Voxel plugin and look for it and select it only to get a message that it is a beta
                    version and that it may be unstable and removed without notice. Use with caution.

                    So, My question is this.

                    Is the latest version of this voxel plugin on github that I was directed to download from the home website the correct files to use, or is it a
                    beta development version that should not be there and not downloaded. Many of the files was updated just 15 days ago so this latest update
                    may be in error and causing problems or have bugs.

                    I would have tried using the binaries on this gumroad link, but I do not download stuff from websites asking for my e-mail address,
                    especially when I am not confident it will do me any good.

                    Thanks for any help.

                    Comment


                      IDominioNI Either put the plugin in a C++ project and build from Visual Studio, or download the binaries from Gumroad. The code works with 4.22 up to 4.24.
                      Website: https://voxelplugin.com
                      Discord: https://discord.voxelplugin.com
                      Twitter: https://twitter.com/phyronnaz

                      Comment



                        Website: https://voxelplugin.com
                        Discord: https://discord.voxelplugin.com
                        Twitter: https://twitter.com/phyronnaz

                        Comment


                          Website: https://voxelplugin.com
                          Discord: https://discord.voxelplugin.com
                          Twitter: https://twitter.com/phyronnaz

                          Comment


                            "Either put the plugin in a C++ project and build from Visual Studio, or download the binaries from Gumroad. The code works with 4.22 up to 4.24."

                            OK. I created a c++ project as I was going to do until I noticed that Notice I asked about. I think the reason for UE not building the project initially may be due it defaulting to Visual Studio 17 rather than version 19. I had to converted the C++ project to version 19 before importing the Voxel Plugin code. The compilation all went without a hitch.

                            It is going to take a bit of time to get to familiarize myself with this and create some alien worlds. I am impressed though. From my experience with UE programming in c++ is not easy to get things done, and this has got me to at least use UE again and, if only for this.

                            All the best

                            Comment


                              Glad to hear it's compiling for you now!


                              Website: https://voxelplugin.com
                              Discord: https://discord.voxelplugin.com
                              Twitter: https://twitter.com/phyronnaz

                              Comment


                                Originally posted by Phyronnaz View Post
                                Is that in the Pro version? Also the mesh stamping is incredible. Could combine well with existing landscape meshes that are quite accessible to produce very impressive worlds quickly.

                                Comment

                                Working...
                                X